// Test MAX22202 UNO_R4_DCMotor
int dirPin1 = 12;
int pwmPin1 = 3;
int modePin1 = 9;
int pwm1 = 0;

int dirPin2 = 13;
int pwmPin2 = 11;
int modePin2 = 8;
int pwm2 = 0;

int step = 1;

void setup() {
  //define pins
  pinMode(dirPin1, OUTPUT);
  pinMode(pwmPin1, OUTPUT);
  pinMode(modePin1, OUTPUT);
  pinMode(dirPin2, OUTPUT);
  pinMode(pwmPin2, OUTPUT);
  pinMode(modePin2, OUTPUT);
  digitalWrite(modePin1, LOW);
  digitalWrite(modePin2, LOW);
  digitalWrite(dirPin1, LOW);
  digitalWrite(dirPin2, LOW);
  analogWrite(pwmPin1, 0);
  analogWrite(pwmPin2, 0);
}

void loop() {
  // M1 speed up/down
  digitalWrite(modePin1, HIGH);
  delay(5);
  // M1 >>
  digitalWrite(dirPin1, LOW);
  for (pwm1 = 0; pwm1 <= 255; pwm1++) {
    analogWrite(pwmPin1, pwm1);
    delay(10);
  }
  delay(3000);
  for (pwm1 = 0; pwm1 <= 255; pwm1++) {
    analogWrite(pwmPin1, 255 - pwm1);
    delay(10);
  }
  delay(1000);

  // M1 <<
  digitalWrite(dirPin1, HIGH);
  for (pwm1 = 0; pwm1 <= 255; pwm1++) {
    analogWrite(pwmPin1, pwm1);
    delay(10);
  }
  delay(3000);
  for (pwm1 = 0; pwm1 <= 255; pwm1++) {
    analogWrite(pwmPin1, 255 - pwm1);
    delay(10);
  }
  delay(1000);
  // M1 fast decay
  digitalWrite(modePin1, LOW);
  analogWrite(pwmPin1, 0);

  // M2 speed up/down
  digitalWrite(modePin2, HIGH);
  delay(5);
 
  // M2 >>
  digitalWrite(dirPin2, LOW);
  for (pwm2 = 0; pwm2 <= 255; pwm2++) {
    analogWrite(pwmPin2, pwm2);
    delay(10);
  }
  delay(3000);
  for (pwm2 = 0; pwm2 <= 255; pwm2++) {
    analogWrite(pwmPin2, 255 - pwm2);
    delay(10);
  }
  delay(1000);
  
  // M2 <<
  digitalWrite(dirPin2, HIGH);
  for (pwm2 = 0; pwm2 <= 255; pwm2++) {
    analogWrite(pwmPin2, pwm2);
    delay(10);
  }
  delay(3000);
  for (pwm2 = 0; pwm2 <= 255; pwm2++) {
    analogWrite(pwmPin2, 255 - pwm2);
    delay(10);
  }
  delay(1000);
  // M2 fast decay
  digitalWrite(modePin2, LOW);
  analogWrite(pwmPin2, 0);
}